package weka.clusterers.forMetisMQI.util;

public class Configuration {
	
	private boolean randomBisection = false;
	
	private int verboseLevel = 1;
	
	private int sizeFinerGraph = 100;
	
	private int numberOfClusters = 2;
	
	private String outputFile = null;
	
	public String getOutputFile() {
		return outputFile;
	}

	public void setOutputFile(String outputFile) {
		this.outputFile = outputFile;
	}

	private static Configuration instance = null;
	
	private Configuration() {
		
	}
	
	public static Configuration instance() {
		if(instance == null)
			instance = new Configuration();
		return instance;
	}

	public boolean isRandomBisection() {
		return randomBisection;
	}

	public void setRandomBisection(boolean randomBisection) {
		this.randomBisection = randomBisection;
	}

	public int getVerboseLevel() {
		return verboseLevel;
	}

	public void setVerboseLevel(int verboseLevel) {
		this.verboseLevel = verboseLevel;
	}

	public int getSizeFinerGraph() {
		return sizeFinerGraph;
	}

	public void setSizeFinerGraph(int sizeFinerGraph) {
		this.sizeFinerGraph = sizeFinerGraph;
	}

	public int getNumberOfClusters() {
		return numberOfClusters;
	}

	public void setNumberOfClusters(int numberOfClusters) {
		this.numberOfClusters = numberOfClusters;
	}
	
	

}
